Skip to main content
`Ctrl`+`K`

# TaoTermShellSetView

Set the view function of a `TAOTERMSHELL`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermShellSetView(TaoTerm term, PetscErrorCode (*view)(TaoTerm term, PetscViewer viewer))

Logically collective

## Input Parameters

- term - a `TaoTerm` of type `TAOTERMSHELL`

- view - a function with the same signature as `TaoTermView()`

## Calling sequence of `view`

- term - the `TaoTerm`

- viewer - a `PetscViewer`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TAOTERMSHELL`, `TaoTermShellGetContext()`, `TaoTermShellSetContextDestroy()`, `TaoTermShellSetObjective()`, `TaoTermShellSetGradient()`, `TaoTermShellSetObjectiveAndGradient()`, `TaoTermShellSetHessian()`

## Level

intermediate

## Location

src/tao/term/impls/shell/taotermshell.c

## Implementations

TaoTermShellSetView_Shell(TaoTerm term, PetscErrorCode (*view)() in src/tao/term/impls/shell/taotermshell.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages